Skip to main content
POST
/
gpu-instance
/
openapi
/
v1
/
gpu
/
instance
/
edit
Edit Instance
curl --request POST \
  --url https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "instanceId": "<string>",
  "ports": [
    {
      "port": 123,
      "type": "<string>"
    }
  ],
  "expandRootDisk": 123
}
'
import requests

url = "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit"

payload = {
"instanceId": "<string>",
"ports": [
{
"port": 123,
"type": "<string>"
}
],
"expandRootDisk": 123
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
instanceId: '<string>',
ports: [{port: 123, type: '<string>'}],
expandRootDisk: 123
})
};

fetch('https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

instanceId
string
required
ID of the instance to edit.
ports
object[]
Ports to be exposed by the instance. The total number of ports used by ports + tools must not exceed 15.
expandRootDisk
integer
Size to expand the root disk, in GB. Integer, value must be >= 0. Set to 0 if no expansion is needed.
Last modified on May 28, 2025